Subject: Re: [PATCH v2] mfd/regulator: tps65217: Move regulator plat data handling to regulator

From: Greg KH <[email-masked]>
Date: Mon, 13 Aug 2012 08:23:54 -0700

On Mon, Aug 13, 2012 at 08:36:05PM +0530, AnilKumar Ch wrote:
> Regulator platform data handling was mistakenly added to MFD
> driver. So we will see build errors if we compile MFD drivers
> without CONFIG_REGULATOR. This patch moves regulator platform
> data handling from TPS65217 MFD driver to regulator driver.
> 
> This makes MFD driver independent of REGULATOR framework so
> build error is fixed if CONFIG_REGULATOR is not set.
> 
> drivers/built-in.o: In function `tps65217_probe':
> tps65217.c:(.devinit.text+0x13e37): undefined reference
> to `of_regulator_match'
> 
> This patch also fix allocation size of tps65217 platform data.
> Current implementation allocates a struct tps65217_board for each
> regulator specified in the device tree. But the structure itself
> provides array of regulators so one instance of it is sufficient.
> 
> Signed-off-by: AnilKumar Ch <[email-masked]>
> ---
> This patch is tested on BeagleBone with regulator device node
> additions. And this is based on mfd/master.

<formletter>

This is not the correct way to submit patches for inclusion in the
stable kernel tree.  Please read Documentation/stable_kernel_rules.txt
for how to do this properly.

</formletter>